%define _requires_exceptions perl(FusionInventory::.*)
%define _provides_exceptions perl(FusionInventory::.*)

Name:		fusioninventory-agent-plugin-netinventory
Version:	2.1
Release:	%mkrel 1
Summary:	Net inventory support for FusionInventory agent
License:	GPL
Group:		System/Servers
URL:		http://fusioninventory.org/wordpress/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FU/FUSINV/FusionInventory-Agent-Task-NetInventory-%{version}.tar.gz
Obsoletes:  FusionInventory-Agent-Task-SNMPQuery
Requires:   fusioninventory-agent
Requires:   fusioninventory-agent-plugin-netdiscovery
BuildRequires:  fusioninventory-agent
BuildArch:      noarch

%description
With this module, the agent can query network and printer devices through
SNMP.

%prep
%setup -q -n FusionInventory-Agent-Task-NetInventory-%{version}

%build
%__perl Makefile.PL PREFIX=/usr
%make

%install
rm -rf  %{buildroot}
%makeinstall_std

%files
%doc Changes README LICENSE
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetInventory
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetInventory.pm
%{_mandir}/man3/*


%changelog

* Thu Apr 19 2012 guillomovitch <guillomovitch> 2.1-1.mga2
+ Revision: 231836
- new version

* Mon Apr 09 2012 guillomovitch <guillomovitch> 2.0-1.mga2
+ Revision: 229943
- 2.0 final

* Fri Jan 20 2012 guillomovitch <guillomovitch> 1.9901-1.mga2
+ Revision: 198706
- new snapshot
- upstream renaming

* Tue Jul 19 2011 guillomovitch <guillomovitch> 1.3-1.mga2
+ Revision: 126738
- new version

* Sun Mar 06 2011 ennael <ennael> 1.2-1.mga1
+ Revision: 65530
- imported package fusioninventory-agent-plugin-snmpquery

